USRP Hardware Driver and USRP Manual: uhd::experts::data_reader_t< data_t > Class Template Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::experts::data_reader_t< data_t > Class Template Reference

`#include <uhd/experts/expert_nodes.hpp>`

Inheritance diagram for uhd::experts::data_reader_t< data_t >:

## Public Member Functions
| data_reader_t (const node_retriever_t &retriever, const std::string &node)
const data_t & | get () const
| operator const data_t & () const
bool | operator== (const data_t &rhs)
bool | operator!= (const data_t &rhs)
Public Member Functions inherited from uhd::experts::data_accessor_base< data_t >
| ~data_accessor_base () override
bool | is_reader () const override
bool | is_writer () const override
bool | is_dirty () const
node_class_t | get_class () const
node_author_t | get_author () const
Public Member Functions inherited from uhd::experts::data_accessor_t
virtual | ~data_accessor_t ()

## Friends
std::ostream & | operator<< (std::ostream &os, const data_reader_t &reader)

## Additional Inherited Members
Protected Member Functions inherited from uhd::experts::data_accessor_base< data_t >
| data_accessor_base (const node_retriever_t &r, const std::string &n, const node_access_t a)
Protected Member Functions inherited from uhd::experts::data_accessor_t
| data_accessor_t (const node_retriever_t &r, const std::string &n)
Protected Attributes inherited from uhd::experts::data_accessor_base< data_t >
data_node_t< data_t > * | _datanode
const node_access_t | _access
Protected Attributes inherited from uhd::experts::data_accessor_t
dag_vertex_t & | _vertex

## Detailed Description

template<typename data_t>
class uhd::experts::data_reader_t< data_t >

class data_reader_t

Accessor to read the value of a data node and to establish

## a data node => worker node dependency

## Constructor & Destructor Documentation

## ◆ data_reader_t()

template<typename data_t>

uhd::experts::data_reader_t< data_t >::data_reader_t | ( | const node_retriever_t & | retriever,
|  | const std::string & | node )
| inline

## Member Function Documentation

## ◆ get()

template<typename data_t>

const data_t & uhd::experts::data_reader_t< data_t >::get | ( |  | ) | const
| inline

## ◆ operator const data_t &()

template<typename data_t>

uhd::experts::data_reader_t< data_t >::operator const data_t & | ( |  | ) | const
| inline

## ◆ operator!=()

template<typename data_t>

bool uhd::experts::data_reader_t< data_t >::operator!= | ( | const data_t & | rhs | ) |
| inline

## ◆ operator==()

template<typename data_t>

bool uhd::experts::data_reader_t< data_t >::operator== | ( | const data_t & | rhs | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

template<typename data_t>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const data_reader_t< data_t > & | reader )
| friend

The documentation for this class was generated from the following file:

- expert_nodes.hpp